package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_processing_time;
import com.realnet.vpspack.Services.Visa_processing_timeService ;


@RequestMapping(value = "/Visa_processing_time")
 @CrossOrigin("*") 
@RestController
public class Visa_processing_timeController {
	@Autowired
	private Visa_processing_timeService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Visa_processing_time")
		  public Visa_processing_time Savedata(@RequestBody Visa_processing_time data) {
		Visa_processing_time save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_processing_time/{id}")
	public  Visa_processing_time update(@RequestBody Visa_processing_time data,@PathVariable Integer id ) {
		Visa_processing_time update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_processing_time/getall/page")
	public Page<Visa_processing_time> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_processing_time> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_processing_time")
	public List<Visa_processing_time> getdetails() {
		 List<Visa_processing_time> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_processing_time")
	public List<Visa_processing_time> getallwioutsec() {
		 List<Visa_processing_time> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_processing_time/{id}")
	public  Visa_processing_time  getdetailsbyId(@PathVariable Integer id ) {
		Visa_processing_time  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_processing_time/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}